@ECHO OFF
:Loop
IF NOT EXIST %1\MJ4.EXE GOTO SwapDisk
COPY %1\MJ4.EXE %2\HKMJ
MJ4.EXE
IF NOT EXIST %2\HKMJ\HK0903.VOC GOTO BadInst
rem test to see if the last file was really uncompressed
DEL MJ4.EXE > nul

COPY %1\MJ5.EXE %2\HKMJ
MJ5.EXE
DEL MJ5.EXE > nul

COPY %1\MJ6.EXE %2\HKMJ
MJ6.EXE
DEL MJ6.EXE > nul


HKCONFIG.EXE
GOTO End
:BadArg
ECHO ***************************************************************************
ECHO *                                                                         *
ECHO *    To install HONG KONG MAHJONG PRO from drive a: to hard drive c:,     *
ECHO *    change to the a: drive and type:                                     *
ECHO *                                                                         *
ECHO *                                 INSTALL A: C:                           *
ECHO *                                                                         *
ECHO *    If your drives have different identifiers, please use the drive      *
ECHO *    letters appropriate for your system; for example, if you are         *
ECHO *    installing from floppy drive b: to hard drive d: you would           *
ECHO *    change to drive b: and type:                                         *
ECHO *                                 INSTALL B: D:                           *
ECHO *                                                                         *
ECHO ***************************************************************************
GOTO End
:SwapDisk
ECHO ***************************************************************************
ECHO *                                                                         *
ECHO *    Please place DISK 2 in floppy drive and press any key.               *
ECHO *                                                                         *
ECHO ***************************************************************************
PAUSE
GOTO Loop
:BadInst
ECHO ***************************************************************************
ECHO *                                                                         *
ECHO *   There was a problem with the install. Do you have 4,800,000 bytes free*   *
ECHO *   space?  You can type CHKDSK to find out how much free space you       *
ECHO *   have.                                                                 *
ECHO *                                                                         *
ECHO *   Please read your manual section about installing HKMJ Pro or you can  *
ECHO *   contact our customer service department if you still have problems.   *                                                              *
ECHO *                                                                         *
ECHO ***************************************************************************
goto End
:End
